<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Javadoc (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Javadoc (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/javadoc/Javadoc.html" target="_top">Frames</a></li>
<li><a href="Javadoc.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.javadoc</div>
<h2 title="Class Javadoc" class="title">Class Javadoc</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.SourceTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.javadoc.Javadoc</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
public class <span class="strong">Javadoc</span>
extends <a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></pre>
<div class="block"><p>Generates HTML API documentation for Java classes.</p>
 <p>
 If you create your own Javadoc tasks remember to specify the 'source' property!
 Without source the Javadoc task will not create any documentation. Example:
 <pre class='autoTested'>
 apply plugin: 'java'

 task myJavadocs(type: Javadoc) {
   source = sourceSets.main.allJava
 }
 </pre>

 <p>
 An example how to create a task that runs a custom doclet implementation:
 <pre class='autoTested'>
 apply plugin: 'java'

 configurations {
   jaxDoclet
 }

 dependencies {
   //jaxDoclet "some.interesting:Dependency:1.0"
 }

 task generateRestApiDocs(type: Javadoc) {
   source = sourceSets.main.allJava
   destinationDir = reporting.file("rest-api-docs")
   options.docletpath = configurations.jaxDoclet.files.asType(List)
   options.doclet = "com.lunatech.doclets.jax.jaxrs.JAXRSDoclet"
   options.addStringOption("jaxrscontext", "http://localhost:8080/myapp")
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#source">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#Javadoc()">Javadoc</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#generate()">generate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the classpath to use to resolve type references in the source code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getDestinationDir()">getDestinationDir</a></strong>()</code>
<div class="block">Returns the directory to generate the documentation into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getExecutable()">getExecutable</a></strong>()</code>
<div class="block">Returns the Javadoc executable to use to generate the Javadoc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getMaxMemory()">getMaxMemory</a></strong>()</code>
<div class="block">Returns the amount of memory allocated to this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/external/javadoc/MinimalJavadocOptions.html" title="interface in org.gradle.external.javadoc">MinimalJavadocOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getOptions()">getOptions</a></strong>()</code>
<div class="block">Returns the Javadoc generation options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getOptionsFile()">getOptionsFile</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getOutputDirectory()">getOutputDirectory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getSource()">getSource</a></strong>()</code>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getTitle()">getTitle</a></strong>()</code>
<div class="block">Returns the title for the generated documentation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">Returns the tool chain that will be used to generate the Javadoc.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#isFailOnError()">isFailOnError</a></strong>()</code>
<div class="block">Specifies whether this task should fail when errors are encountered during Javadoc generation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#isVerbose()">isVerbose</a></strong>()</code>
<div class="block">Returns whether Javadoc generation is accompanied by verbose output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#options(org.gradle.api.Action)">options</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/external/javadoc/MinimalJavadocOptions.html" title="interface in org.gradle.external.javadoc">MinimalJavadocOptions</a>&gt;&nbsp;action)</code>
<div class="block">Convenience method for configuring Javadoc generation options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#options(groovy.lang.Closure)">options</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;block)</code>
<div class="block">Convenience method for configuring Javadoc generation options.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath to use to resolve type references in this source code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setDestinationDir(java.io.File)">setDestinationDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</code>
<div class="block">Sets the directory to generate the documentation into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setExecutable(java.lang.String)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setFailOnError(boolean)">setFailOnError</a></strong>(boolean&nbsp;failOnError)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setMaxMemory(java.lang.String)">setMaxMemory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;maxMemory)</code>
<div class="block">Sets the amount of memory allocated to this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setTitle(java.lang.String)">setTitle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</code>
<div class="block">Sets the title for the generated documentation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setToolChain(org.gradle.jvm.toolchain.JavaToolChain)">setToolChain</a></strong>(<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;toolChain)</code>
<div class="block">Sets the tool chain to use to generate the Javadoc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setVerbose(boolean)">setVerbose</a></strong>(boolean&nbsp;verbose)</code>
<div class="block">Sets whether Javadoc generation is accompanied by verbose output or not.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getExcludes()">getExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getPatternSetFactory()">getPatternSetFactory</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.String...)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(org.gradle.api.file.FileTree)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(java.lang.Object)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#source(java.lang.Object...)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Javadoc()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Javadoc</h4>
<pre>public&nbsp;Javadoc()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generate</h4>
<pre>protected&nbsp;void&nbsp;generate()</pre>
</li>
</ul>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#RELATIVE">RELATIVE</a>)
public&nbsp;<a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getSource()</pre>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#getSource()">getSource</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The source.</dd></dl>
</li>
</ul>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
@Inject
public&nbsp;<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">Returns the tool chain that will be used to generate the Javadoc.</div>
</li>
</ul>
<a name="setToolChain(org.gradle.jvm.toolchain.JavaToolChain)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolChain</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setToolChain(<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;toolChain)</pre>
<div class="block">Sets the tool chain to use to generate the Javadoc.</div>
</li>
</ul>
<a name="getDestinationDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationDir()</pre>
<div class="block"><p>Returns the directory to generate the documentation into.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The directory.</dd></dl>
</li>
</ul>
<a name="getOutputDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDirectory</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDirectory()</pre>
</li>
</ul>
<a name="setDestinationDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationDir</h4>
<pre>public&nbsp;void&nbsp;setDestinationDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</pre>
<div class="block"><p>Sets the directory to generate the documentation into.</p></div>
</li>
</ul>
<a name="getMaxMemory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxMemory</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMaxMemory()</pre>
<div class="block">Returns the amount of memory allocated to this task.</div>
</li>
</ul>
<a name="setMaxMemory(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxMemory</h4>
<pre>public&nbsp;void&nbsp;setMaxMemory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;maxMemory)</pre>
<div class="block">Sets the amount of memory allocated to this task.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>maxMemory</code> - The amount of memory</dd></dl>
</li>
</ul>
<a name="getTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTitle()</pre>
<div class="block"><p>Returns the title for the generated documentation.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The title, possibly null.</dd></dl>
</li>
</ul>
<a name="setTitle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</pre>
<div class="block"><p>Sets the title for the generated documentation.</p></div>
</li>
</ul>
<a name="isVerbose()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVerbose</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;boolean&nbsp;isVerbose()</pre>
<div class="block">Returns whether Javadoc generation is accompanied by verbose output.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/javadoc/Javadoc.html#setVerbose(boolean)"><code>setVerbose(boolean)</code></a></dd></dl>
</li>
</ul>
<a name="setVerbose(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVerbose</h4>
<pre>public&nbsp;void&nbsp;setVerbose(boolean&nbsp;verbose)</pre>
<div class="block">Sets whether Javadoc generation is accompanied by verbose output or not. The verbose output is done via println
 (by the underlying Ant task). Thus it is not handled by our logging.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>verbose</code> - Whether the output should be verbose.</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">Returns the classpath to use to resolve type references in the source code.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath.</dd></dl>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath to use to resolve type references in this source code.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Must not be null.</dd></dl>
</li>
</ul>
<a name="getOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptions</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/external/javadoc/MinimalJavadocOptions.html" title="interface in org.gradle.external.javadoc">MinimalJavadocOptions</a>&nbsp;getOptions()</pre>
<div class="block">Returns the Javadoc generation options.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The options. Never returns null.</dd></dl>
</li>
</ul>
<a name="options(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>options</h4>
<pre>public&nbsp;void&nbsp;options(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;block)</pre>
<div class="block">Convenience method for configuring Javadoc generation options.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>block</code> - The configuration block for Javadoc generation options.</dd></dl>
</li>
</ul>
<a name="options(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>options</h4>
<pre>public&nbsp;void&nbsp;options(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/external/javadoc/MinimalJavadocOptions.html" title="interface in org.gradle.external.javadoc">MinimalJavadocOptions</a>&gt;&nbsp;action)</pre>
<div class="block">Convenience method for configuring Javadoc generation options.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action for Javadoc generation options.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="isFailOnError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFailOnError</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isFailOnError()</pre>
<div class="block">Specifies whether this task should fail when errors are encountered during Javadoc generation. When <code>true</code>,
 this task will fail on Javadoc error. When <code>false</code>, this task will ignore Javadoc errors.</div>
</li>
</ul>
<a name="setFailOnError(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailOnError</h4>
<pre>public&nbsp;void&nbsp;setFailOnError(boolean&nbsp;failOnError)</pre>
</li>
</ul>
<a name="getOptionsFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptionsFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOptionsFile()</pre>
</li>
</ul>
<a name="getExecutable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutable</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExecutable()</pre>
<div class="block">Returns the Javadoc executable to use to generate the Javadoc. When <code>null</code>, the Javadoc executable for
 the current JVM is used.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The executable. May be null.</dd></dl>
</li>
</ul>
<a name="setExecutable(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setExecutable</h4>
<pre>public&nbsp;void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/javadoc/Javadoc.html" target="_top">Frames</a></li>
<li><a href="Javadoc.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
